Description: Patch for conf.py in docs.
 External URLs have been removed and replaced with available
 local link + removed sphinx.ext.githubpages extension to avoid
 connecting to internet while build + autodoc2 extension has been
 removed to avoid reprotest error (need detailed investigation
 on self generated apidoc).
Forwarded: not-needed
Author: Yogeswaran Umasankar <kd8mbd@gmail.com>
Last-Update: 2024-04-05

--- a/docs/source/conf.py
+++ b/docs/source/conf.py
@@ -14,11 +14,9 @@ release = "0.2.1"
 
 extensions = [
     "myst_parser",
-    "autodoc2",
     "sphinx.ext.napoleon",
     "sphinx.ext.intersphinx",
     "sphinx.ext.todo",
-    "sphinx.ext.githubpages",
     "sphinx_contributors",
     "sphinx_copybutton",
     "sphinx_design",
@@ -35,8 +33,8 @@ myst_enable_extensions = [
 ]
 
 intersphinx_mapping = {
-    "python": ("https://docs.python.org/3/", None),
-    "asv": ("https://asv.readthedocs.io/en/latest/", None),
+    "python": ("/usr/share/doc/python3-doc/html", None),
+    "asv": ("/usr/share/doc/python-asv-runner-doc/html", None),
 }
 
 templates_path = ["_templates"]
@@ -49,11 +47,11 @@ exclude_patterns = []
 html_theme = "furo"
 html_static_path = ["_static"]
 
-html_theme_options = {
-    "source_repository": "https://github.com/HaoZeke/asv_runner/",
-    "source_branch": "main",
-    "source_directory": "docs/",
-}
+#html_theme_options = {
+#    "source_repository": "https://github.com/HaoZeke/asv_runner/",
+#    "source_branch": "main",
+#    "source_directory": "docs/",
+#}
 
 
 # ------------- Copying things
